---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterinstcls005.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2130, symSize: 0x2A0 }
  - { offsetInCU: 0xAD4, offset: 0xAD4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x503D0, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0xAFB, offset: 0xAFB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52310, symBinAddr: 0x9130, symSize: 0x0 }
  - { offsetInCU: 0xB1D, offset: 0xB1D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52700, symBinAddr: 0x9520, symSize: 0x0 }
  - { offsetInCU: 0xB3F, offset: 0xB3F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x536A0, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xB54, offset: 0xB54, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x536B0, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50050, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50054, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50058, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC2A, offset: 0xC2A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x501A0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xCA3, offset: 0xCA3, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50258, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCC1, offset: 0xCC1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5025C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCDA, offset: 0xCDA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50260, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCF3, offset: 0xCF3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50264, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD0C, offset: 0xD0C, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50268, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92FB, offset: 0x92FB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50270, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50280, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50288, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50290, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93CF, offset: 0x93CF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50298, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93E8, offset: 0x93E8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x502A0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x9402, offset: 0x9402, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x502A8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL10objCounter, symObjAddr: 0x502EC, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x502F0, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x502F8, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL21debugeeClassSignature, symObjAddr: 0xE430, symBinAddr: 0x5D10, symSize: 0x0 }
  - { offsetInCU: 0x954C, offset: 0x954C, size: 0x8, addend: 0x0, symName: __ZL12fakeUserData, symObjAddr: 0x50334, symBinAddr: 0x71E4, symSize: 0x0 }
  - { offsetInCU: 0x959E, offset: 0x959E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xDB0, symSize: 0x80 }
  - { offsetInCU: 0x9633, offset: 0x9633, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xD00, symSize: 0xB0 }
  - { offsetInCU: 0x968E, offset: 0x968E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xC00, symSize: 0x100 }
  - { offsetInCU: 0x9921, offset: 0x9921, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xE30, symSize: 0xC0 }
  - { offsetInCU: 0x9973, offset: 0x9973, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xEF0, symSize: 0x220 }
  - { offsetInCU: 0x9B58, offset: 0x9B58, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1110, symSize: 0xA0 }
  - { offsetInCU: 0x9C0B, offset: 0x9C0B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x11B0, symSize: 0x110 }
  - { offsetInCU: 0x9D01, offset: 0x9D01, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x12C0, symSize: 0x150 }
  - { offsetInCU: 0x9E7E, offset: 0x9E7E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1410, symSize: 0x30 }
  - { offsetInCU: 0x9F27, offset: 0x9F27, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1440, symSize: 0x150 }
  - { offsetInCU: 0xA11F, offset: 0xA11F, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1590, symSize: 0x160 }
  - { offsetInCU: 0xA3DF, offset: 0xA3DF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x16F0, symSize: 0x4A0 }
  - { offsetInCU: 0xA652, offset: 0xA652, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1B90, symSize: 0x1B0 }
  - { offsetInCU: 0xA86D, offset: 0xA86D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1D40, symSize: 0xA0 }
  - { offsetInCU: 0xA93C, offset: 0xA93C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1DE0, symSize: 0x20 }
  - { offsetInCU: 0xA973, offset: 0xA973, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1E00, symSize: 0x20 }
  - { offsetInCU: 0xA9AA, offset: 0xA9AA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1E20, symSize: 0x20 }
  - { offsetInCU: 0xAB19, offset: 0xAB19, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1E40, symSize: 0x1A0 }
  - { offsetInCU: 0xAE35, offset: 0xAE35, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1FE0, symSize: 0x150 }
  - { offsetInCU: 0xAFF2, offset: 0xAFF2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x23D0, symSize: 0x1D0 }
  - { offsetInCU: 0xB2EE, offset: 0xB2EE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x25A0, symSize: 0x80 }
  - { offsetInCU: 0xB3B7, offset: 0xB3B7, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2620, symSize: 0x6C0 }
  - { offsetInCU: 0xBF2D, offset: 0xBF2D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA570, symBinAddr: 0x4000, symSize: 0xB0 }
  - { offsetInCU: 0xBFA4, offset: 0xBFA4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2CE0, symSize: 0x70 }
  - { offsetInCU: 0xC0A4, offset: 0xC0A4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x2D50, symSize: 0x3B0 }
  - { offsetInCU: 0xC51C, offset: 0xC51C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3100, symSize: 0xA0 }
  - { offsetInCU: 0xC5FB, offset: 0xC5FB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x31A0, symSize: 0x40 }
  - { offsetInCU: 0xC6F1, offset: 0xC6F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x31E0, symSize: 0x2B0 }
  - { offsetInCU: 0xCA97, offset: 0xCA97, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3490, symSize: 0xC0 }
  - { offsetInCU: 0xCBDD, offset: 0xCBDD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3550, symSize: 0x10 }
  - { offsetInCU: 0xCC9F, offset: 0xCC9F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3560, symSize: 0x240 }
  - { offsetInCU: 0xCF88, offset: 0xCF88, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x37A0, symSize: 0x10 }
  - { offsetInCU: 0xCFE5, offset: 0xCFE5, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x37B0, symSize: 0x1F0 }
  - { offsetInCU: 0xD248, offset: 0xD248, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F10, symBinAddr: 0x39A0, symSize: 0x10 }
  - { offsetInCU: 0xD2C5, offset: 0xD2C5, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0x9F20, symBinAddr: 0x39B0, symSize: 0x420 }
  - { offsetInCU: 0xD836, offset: 0xD836, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA340, symBinAddr: 0x3DD0, symSize: 0x230 }
  - { offsetInCU: 0xDA99, offset: 0xDA99, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA620, symBinAddr: 0x40B0, symSize: 0x36A }
...
